import { ValidationFailure } from "../../../errors/validation-failure";
export declare abstract class ValidatorBase {
    private _failures;
    addFailure(failure: ValidationFailure): void;
    getFailures(): Array<ValidationFailure>;
}
